package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 设备管理对象 TWIN_DEVICE
 *
 * @author wukai
 * @date 2025-01-15
 */
@ApiModel(value = "TwinDevice", description = "设备管理")
@Data
public class TwinDevice extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("ID")
    @TableId
    private Long deviceId;

    /**
     * 设备名称
     */
    @ApiModelProperty("设备名称")
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 设备编码
     */
    @ApiModelProperty("设备编码")
    @Excel(name = "设备编码")
    private String deviceCode;

    /**
     * 设备路径
     */
    @ApiModelProperty("设备路径")
    @Excel(name = "设备路径")
    private String devicePath;

    /**
     * 设备在线;1.在线 0.离线
     */
    @ApiModelProperty("设备在线;1.在线 0.离线")
    @Excel(name = "设备在线;1.在线 0.离线")
    private String online;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

}
