package com.jjt.calc.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.calc.domain.TwinCalcHourEnergy;

/**
 * 能源1小时统计数据Mapper接口
 * 
 * @author wukai
 * @date 2025-01-18
 */
public interface TwinCalcHourEnergyMapper extends BaseMapper<TwinCalcHourEnergy>
{
    /**
     * 查询能源1小时统计数据
     * 
     * @param autoId 能源1小时统计数据主键
     * @return 能源1小时统计数据
     */
    public TwinCalcHourEnergy selectTwinCalcHourEnergyByAutoId(Long autoId);

    /**
     * 查询能源1小时统计数据列表
     * 
     * @param twinCalcHourEnergy 能源1小时统计数据
     * @return 能源1小时统计数据集合
     */
    public List<TwinCalcHourEnergy> selectTwinCalcHourEnergyList(TwinCalcHourEnergy twinCalcHourEnergy);

    /**
     * 新增能源1小时统计数据
     * 
     * @param twinCalcHourEnergy 能源1小时统计数据
     * @return 结果
     */
    public int insertTwinCalcHourEnergy(TwinCalcHourEnergy twinCalcHourEnergy);

    /**
     * 修改能源1小时统计数据
     * 
     * @param twinCalcHourEnergy 能源1小时统计数据
     * @return 结果
     */
    public int updateTwinCalcHourEnergy(TwinCalcHourEnergy twinCalcHourEnergy);

    /**
     * 删除能源1小时统计数据
     * 
     * @param autoId 能源1小时统计数据主键
     * @return 结果
     */
    public int deleteTwinCalcHourEnergyByAutoId(Long autoId);

    /**
     * 批量删除能源1小时统计数据
     * 
     * @param autoIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinCalcHourEnergyByAutoIds(Long[] autoIds);
}
