package com.jjt.emp.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 员工产量统计对象 TWIN_EMP_CALC
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "TwinEmpCalc", description = "员工产量统计")
@Data
public class TwinEmpCalc extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 统计ID
     */
    @ApiModelProperty("统计ID")
    @TableId
    private Long calcId;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @Excel(name = "姓名")
    private String empName;

    /**
     * 时间
     */
    @ApiModelProperty("时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date empDate;

    /**
     * 班组
     */
    @ApiModelProperty("班组")
    @Excel(name = "班组")
    private String empTeam;

    /**
     * 机台号
     */
    @ApiModelProperty("机台号")
    @Excel(name = "机台号")
    private Long deviceId;

    /**
     * 稼动率
     */
    @ApiModelProperty("稼动率")
    @Excel(name = "稼动率")
    private BigDecimal efficiency;

    /**
     * 规格
     */
    @ApiModelProperty("规格")
    @Excel(name = "规格")
    private String spec;

    /**
     * 米克重
     */
    @ApiModelProperty("米克重")
    @Excel(name = "米克重")
    private Integer mick;

    /**
     * 密度
     */
    @ApiModelProperty("密度")
    @Excel(name = "密度")
    private BigDecimal density;

    /**
     * 产量
     */
    @ApiModelProperty("产量")
    @Excel(name = "产量")
    private BigDecimal length;

    /**
     * 毛高
     */
    @ApiModelProperty("毛高")
    @Excel(name = "毛高")
    private BigDecimal height;

    /**
     * 单价
     */
    @ApiModelProperty("单价")
    @Excel(name = "单价")
    private BigDecimal price;

    /**
     * 总价
     */
    @ApiModelProperty("总价")
    @Excel(name = "总价")
    private BigDecimal totalPrice;

}
