package com.jjt.emp.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 密度价格配置对象 TWIN_EMP_CONFIG
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "TwinEmpConfig", description = "密度价格配置")
@Data
public class TwinEmpConfig extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 排班ID */
    @ApiModelProperty("排班ID")
    @TableId
    private Long configId;

    /** 密度 */
    @ApiModelProperty("密度")
    @Excel(name = "密度")
    private BigDecimal density;

    /** 单价 */
    @ApiModelProperty("单价")
    @Excel(name = "单价")
    private BigDecimal price;

}
