package com.jjt.ws.mapper;

import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.ws.domain.TwinWorkshopCalc;
import org.apache.ibatis.annotations.Param;

/**
 * 能源统计Mapper接口
 *
 * @author wukai
 * @date 2025-01-17
 */
public interface TwinWorkshopCalcMapper extends BaseMapper<TwinWorkshopCalc>
{
    /**
     * 查询能源统计
     *
     * @param calcId 能源统计主键
     * @return 能源统计
     */
    public TwinWorkshopCalc selectTwinWorkshopCalcByCalcId(Long calcId);

    /**
     * 查询能源统计列表
     *
     * @param twinWorkshopCalc 能源统计
     * @return 能源统计集合
     */
    public List<TwinWorkshopCalc> selectTwinWorkshopCalcList(TwinWorkshopCalc twinWorkshopCalc);

    /**
     * 新增能源统计
     *
     * @param twinWorkshopCalc 能源统计
     * @return 结果
     */
    public int insertTwinWorkshopCalc(TwinWorkshopCalc twinWorkshopCalc);

    /**
     * 修改能源统计
     *
     * @param twinWorkshopCalc 能源统计
     * @return 结果
     */
    public int updateTwinWorkshopCalc(TwinWorkshopCalc twinWorkshopCalc);

    /**
     * 删除能源统计
     *
     * @param calcId 能源统计主键
     * @return 结果
     */
    public int deleteTwinWorkshopCalcByCalcId(Long calcId);

    /**
     * 批量删除能源统计
     *
     * @param calcIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinWorkshopCalcByCalcIds(Long[] calcIds);

    /**
     * 按日期删除
     *
     * @param date 日期
     */
    void deleteTwinWorkshopCalcByDate(Date date);
    /**
     * 按月查询
     *
     * @param wsId  wsid
     * @param month 月份
     * @return 结果
     */
    List<TwinWorkshopCalc> selectTwinWorkshopCalcListByMonth(@Param("wsId") Long wsId, @Param("month") String month);
}
